using System;
using System.Reflection;

internal sealed class Delegate47 : MulticastDelegate
{
	public extern AssemblyName Invoke(object object_0);

	public static AssemblyName smethod_0(object object_0, Delegate47 delegate47_1)
	{
		return delegate47_1(object_0);
	}

	public extern Delegate47(object object_0, IntPtr intptr_0);

	static Delegate47()
	{
		Class10.smethod_13(typeof(Delegate47).TypeHandle);
	}

	internal static Delegate47 delegate47_0;
}
